r2557 - jhalfs/branches/experimental/LFS

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Fri Apr 14 05:02:07 PDT 2006


Author: manuel
Date: 2006-04-14 06:02:05 -0600 (Fri, 14 Apr 2006)
New Revision: 2557

Modified:
   jhalfs/branches/experimental/LFS/master.sh
Log:
Let some Udev pre-installation commands to fail.

Modified: jhalfs/branches/experimental/LFS/master.sh
===================================================================
--- jhalfs/branches/experimental/LFS/master.sh	2006-04-14 10:59:33 UTC (rev 2556)
+++ jhalfs/branches/experimental/LFS/master.sh	2006-04-14 12:02:05 UTC (rev 2557)
@@ -154,14 +154,16 @@
     mkdir chapter06$N
     cp chapter06/* chapter06$N
     for script in chapter06$N/* ; do
+      # Overwrite existing symlinks, files, and dirs
       sed -e 's/ln -sv/&f/g' \
           -e 's/mv -v/&f/g' \
-          -e 's/rm -v/&f/g' \
-          -e 's/mkdir -v/&p/g' \
-          -e 's/mknod -m.*/& || true/' -i ${script}
+          -e 's/mkdir -v/&p/g' -i ${script}
     done
     # Remove bzip2 binaries before make install
     sed -e 's at make install at rm -vf /usr/bin/bz*\n&@' -i chapter06$N/*-bzip2
+    # Let some Udev pre-installation commands to fail
+    sed -e 's@/lib/udev/devices/fd@& || true@' \
+        -e 's/mknod -m.*/& || true/' -i chapter06$N/*-udev
   fi
 
   echo "${tab_}${GREEN}Processing... ${L_arrow}Chapter6$N${R_arrow}"




More information about the alfs-log mailing list